# class Puppet::Parser::AST::ResourceParam

The AST object for the parameters inside ResourceDefs and Selectors.

### Attributes

add[RW]
param[RW]
value[RW]

### Public Instance Methods

each() { |child| ... } click to toggle source

    # File lib/puppet/parser/ast/resourceparam.rb, line 8
    def each
      [@param,@value].each { |child| yield child }
    end

evaluate(scope) click to toggle source

Return the parameter and the value.

    # File lib/puppet/parser/ast/resourceparam.rb, line 13
    def evaluate(scope)
      return Puppet::Parser::Resource::Param.new(
        :name   => @param,
        :value  => @value.safeevaluate(scope),
        :source => scope.source, :line => self.line, :file => self.file,
        :add    => self.add
      )
    end

to_s() click to toggle source

    # File lib/puppet/parser/ast/resourceparam.rb, line 22
    def to_s
      "#{@param} => #{@value.to_s}"
    end